package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 套餐订单对象 company_voice_package_order
 * 
 * @author fs
 * @date 2023-02-23
 */
public class CompanyVoicePackageOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private Long companyId;


    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 时长 */
    @Excel(name = "时长")
    private Long times;

    /** 剩余时长 */
    @Excel(name = "剩余时长")
    private Long remainTimes;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 支付类型 */
    @Excel(name = "支付类型")
    private Integer payType;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setOrderSn(String orderSn) 
    {
        this.orderSn = orderSn;
    }

    public String getOrderSn() 
    {
        return orderSn;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    public void setPackageId(Long packageId) 
    {
        this.packageId = packageId;
    }

    public Long getPackageId() 
    {
        return packageId;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setTimes(Long times) 
    {
        this.times = times;
    }

    public Long getTimes() 
    {
        return times;
    }
    public void setRemainTimes(Long remainTimes) 
    {
        this.remainTimes = remainTimes;
    }

    public Long getRemainTimes() 
    {
        return remainTimes;
    }
    public void setIsPay(Integer isPay) 
    {
        this.isPay = isPay;
    }

    public Integer getIsPay() 
    {
        return isPay;
    }
    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setPayType(Integer payType) 
    {
        this.payType = payType;
    }

    public Integer getPayType() 
    {
        return payType;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setLimitTime(Date limitTime) 
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime() 
    {
        return limitTime;
    }


}
